Package com.databricks.jdbc.log

## Class Slf4jFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - com.databricks.jdbc.log.Slf4jFormatter

    public class Slf4jFormatter
    extends Formatter

A custom `Formatter` implementation that formats log records in the usual SLF4J format. This is used by `JulLogger` to maintain consistency with SLF4J logging.

### Constructor Summary

Constructors
`Slf4jFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format​(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Slf4jFormatter

    public Slf4jFormatter()

### Method Detail

#### format

    public String format​(LogRecord record)

Specified by:
  `format` in class `Formatter`